"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Checkbox = void 0;

var _react = require("react");

var _constants = require("./constants.js");

var _styled = require("./styled.js");

var _jsxRuntime = require("@emotion/react/jsx-runtime");

var _excluded = ["className", "isDisabled", "isInvalid", "isRequired", "isChecked", "name", "onChange", "value", "children", "size"];

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var isKeyboardInteraction = false;
var Checkbox = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var className = props.className,
      isDisabled = props.isDisabled,
      isInvalid = props.isInvalid,
      isRequired = props.isRequired,
      isChecked = props.isChecked,
      name = props.name,
      onChange = props.onChange,
      value = props.value,
      children = props.children,
      size = props.size,
      inputProps = _objectWithoutProperties(props, _excluded);

  return (0, _jsxRuntime.jsxs)(_styled.CheckboxLabel, {
    className: className,
    onClick: function onClick(event) {
      if (isKeyboardInteraction) return;
      event.currentTarget.dataset[_constants.IS_CLICKED_ATTR] = 'true';
    },
    onKeyDown: function onKeyDown() {
      isKeyboardInteraction = true;
    },
    onMouseDown: function onMouseDown() {
      isKeyboardInteraction = false;
    },
    isDisabled: isDisabled,
    isInvalid: isInvalid,
    children: [(0, _jsxRuntime.jsx)(_styled.CheckboxInput, _objectSpread(_objectSpread({}, inputProps), {}, {
      onBlur: function onBlur(event) {
        delete event.currentTarget.parentNode.dataset[_constants.IS_CLICKED_ATTR];
      },
      disabled: isDisabled,
      required: isRequired,
      ref: ref,
      value: value,
      name: name,
      onChange: onChange,
      checked: isChecked,
      type: "checkbox"
    })), (0, _jsxRuntime.jsx)(_styled.InputDisplay, {
      isInvalid: isInvalid,
      "data-size": size,
      children: (0, _jsxRuntime.jsx)("svg", {
        width: "12px",
        height: "12px",
        viewBox: "0 0 10 8",
        version: "1.1",
        xmlns: "http://www.w3.org/2000/svg",
        children: (0, _jsxRuntime.jsx)("polyline", {
          className: "checkbox-checkmark",
          points: "1 3 4 6 9 1"
        })
      })
    }), (0, _jsxRuntime.jsx)(_styled.CheckboxText, {
      "data-size": size,
      children: children
    }), isRequired ? (0, _jsxRuntime.jsx)(_styled.RequiredIndicator, {
      role: "presentation",
      "data-size": size,
      children: "*"
    }) : null]
  });
});
exports.Checkbox = Checkbox;
