"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = exports.RequiredIndicator = exports.InputDisplay = exports.CheckboxText = exports.CheckboxLabel = exports.CheckboxInput = void 0;

var _base = _interopRequireDefault(require("@emotion/styled/base"));

var _react = require("@emotion/react");

var _tablekitTheme = require("@tablecheck/tablekit-theme");

var _tablekitTypography = require("@tablecheck/tablekit-typography");

var _tablekitUtils = require("@tablecheck/tablekit-utils");

var _constants = require("./constants.js");

var _themes = require("./themes.js");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Text = (0, _base.default)("span", process.env.NODE_ENV === "production" ? {
  target: "eysezw65"
} : {
  target: "eysezw65",
  label: "Text"
})("display:inline-flex;", _tablekitTypography.Typography.Body2, ";");
exports.Text = Text;
var RequiredIndicator = (0, _base.default)("span", process.env.NODE_ENV === "production" ? {
  target: "eysezw64"
} : {
  target: "eysezw64",
  label: "RequiredIndicator"
})("color:", function (_ref) {
  var theme = _ref.theme;
  return theme.colors.danger;
}, ";color:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".fillColorInvalid"), _themes.checkboxClassicTheme.fillColorInvalid), ";padding-left:", _tablekitTheme.Spacing.L1, ";font-weight:bold;");
exports.RequiredIndicator = RequiredIndicator;
var CheckboxText = (0, _base.default)("p", process.env.NODE_ENV === "production" ? {
  target: "eysezw63"
} : {
  target: "eysezw63",
  label: "CheckboxText"
})("&[data-size='", _tablekitTheme.Size.Large, "']{", _tablekitTypography.Typography.Body1, ";}");
exports.CheckboxText = CheckboxText;
var InputDisplay = (0, _base.default)("span", process.env.NODE_ENV === "production" ? {
  target: "eysezw62"
} : {
  target: "eysezw62",
  label: "InputDisplay"
})("background:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".backgroundColorBox"), _themes.checkboxClassicTheme.backgroundColorBox), ";border:1px solid ", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".borderColorBox"), _themes.checkboxClassicTheme.borderColorBox), ";border-radius:2px;display:inline-flex;flex-shrink:0;margin:2px ", _tablekitTheme.Spacing.L2, " 0 0;position:relative;transition:box-shadow ", _constants.TRANSITION_SETTINGS, ",border-color ", _constants.TRANSITION_SETTINGS, ";vertical-align:text-bottom;height:20px;width:20px;&[data-size='", _tablekitTheme.Size.Large, "']{width:24px;height:24px;}svg{position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);.checkbox-checkmark{stroke-width:2;stroke-dasharray:14;fill:none;stroke-dashoffset:14;stroke:", function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.primary2;
}, ";}}&::before{content:'';display:block;position:absolute;top:-", _tablekitTheme.Spacing.L1, ";left:-", _tablekitTheme.Spacing.L1, ";right:-", _tablekitTheme.Spacing.L1, ";bottom:-", _tablekitTheme.Spacing.L1, ";outline:none;transition:box-shadow ", _constants.TRANSITION_SETTINGS, ";box-shadow:0 0 0 2px transparent;border-radius:4px;}&::after{content:'';display:block;position:absolute;top:-", _tablekitTheme.Spacing.L1, ";left:-", _tablekitTheme.Spacing.L1, ";right:-", _tablekitTheme.Spacing.L1, ";bottom:-", _tablekitTheme.Spacing.L1, ";outline:none;transition:box-shadow ", _constants.TRANSITION_SETTINGS, ",opacity ", _constants.TRANSITION_SETTINGS, ";box-shadow:0 0 0 2px transparent;border-radius:4px;}", function (_ref3) {
  var isInvalid = _ref3.isInvalid;
  if (!isInvalid) return '';
  return function (props) {
    return /*#__PURE__*/(0, _react.css)("background:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".backgroundColorBoxInvalid"), _themes.checkboxClassicTheme.backgroundColorBoxInvalid)(props), ";border:1px solid ", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".borderColorBoxInvalid"), _themes.checkboxClassicTheme.borderColorBoxInvalid)(props), ";&::after{box-shadow:0 0 0 2px ", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".fillColorInvalid"), _themes.checkboxClassicTheme.fillColorInvalid)(props), ";}" + (process.env.NODE_ENV === "production" ? "" : ";label:InputDisplay;"));
  };
}, ";");
exports.InputDisplay = InputDisplay;
var CheckboxInput = (0, _base.default)("input", process.env.NODE_ENV === "production" ? {
  target: "eysezw61"
} : {
  target: "eysezw61",
  label: "CheckboxInput"
})("opacity:0;width:0;height:0;&+", InputDisplay, " svg .checkbox-checkmark{transition:stroke-dashoffset ", _constants.TRANSITION_SPEED, " ease;}&:checked+", InputDisplay, " svg .checkbox-checkmark{stroke-dashoffset:0;}&:not(:checked)+", InputDisplay, " svg .checkbox-checkmark{stroke-dashoffset:14;}&:disabled{&+", InputDisplay, " svg .checkbox-checkmark{stroke:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".textColorDisabled"), _themes.checkboxClassicTheme.textColorDisabled), ";}}&:focus+", InputDisplay, "::before{box-shadow:0 0 0 2px ", function (_ref4) {
  var theme = _ref4.theme;
  return theme.colors.secondary2;
}, ";}&:focus+", InputDisplay, "::after{opacity:0;}");
exports.CheckboxInput = CheckboxInput;

var getLabelColors = function getLabelColors(props) {
  var isDisabled = props.isDisabled,
      isInvalid = props.isInvalid;

  if (isInvalid) {
    return /*#__PURE__*/(0, _react.css)("background-color:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".backgroundColorInvalid"), _themes.checkboxClassicTheme.backgroundColorInvalid)(props), ";color:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".textColorInvalid"), _themes.checkboxClassicTheme.textColorInvalid)(props), ";" + (process.env.NODE_ENV === "production" ? "" : ";label:getLabelColors;"));
  }

  if (isDisabled) {
    return /*#__PURE__*/(0, _react.css)("color:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".textColorDisabled"), _themes.checkboxClassicTheme.textColorDisabled)(props), ";" + (process.env.NODE_ENV === "production" ? "" : ";label:getLabelColors;"));
  }

  return /*#__PURE__*/(0, _react.css)("color:", (0, _tablekitUtils.getThemeValue)("".concat(_themes.checkboxThemeNamespace, ".textColor"), _themes.checkboxClassicTheme.textColor)(props), ";" + (process.env.NODE_ENV === "production" ? "" : ";label:getLabelColors;"));
};

var CheckboxLabel = (0, _base.default)("label", process.env.NODE_ENV === "production" ? {
  target: "eysezw60"
} : {
  target: "eysezw60",
  label: "CheckboxLabel"
})("align-items:center;border-radius:4px;cursor:", function (_ref5) {
  var isDisabled = _ref5.isDisabled;
  return isDisabled ? 'not-allowed' : 'pointer';
}, ";display:flex;justify-content:flex-start;min-height:", _tablekitTheme.FieldHeight.Regular, ";padding:", _tablekitTheme.Spacing.L2, ";transition:background-color ", _constants.TRANSITION_SETTINGS, ";", _tablekitTypography.Typography.Body2, ";", getLabelColors, " &:hover ", CheckboxInput, ":not(:disabled)+", InputDisplay, "{border-color:", function (_ref6) {
  var theme = _ref6.theme;
  return theme.colors.primary;
}, ";box-shadow:inset 0 0 0 1px ", function (_ref7) {
  var theme = _ref7.theme;
  return theme.colors.primary;
}, ";}&", _constants.IS_CLICKED_SELECTOR, " ", InputDisplay, "::before{display:none!important;}&", _constants.IS_CLICKED_SELECTOR, " ", InputDisplay, "::after{opacity:1!important;}");
exports.CheckboxLabel = CheckboxLabel;
