"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkboxThemeNamespace = exports.checkboxDarkTheme = exports.checkboxClassicTheme = void 0;

var _tablekitPackageNamespace = require("@tablecheck/tablekit-package-namespace");

var _tablekitTheme = require("@tablecheck/tablekit-theme");

var _tablekitUtils = require("@tablecheck/tablekit-utils");

var checkboxThemeNamespace = _tablekitPackageNamespace.PackageNamespace.Checkbox;
exports.checkboxThemeNamespace = checkboxThemeNamespace;
var checkboxClassicTheme = {
  backgroundColorBox: 'white',
  backgroundColorBoxInvalid: 'white',
  backgroundColorInvalid: _tablekitTheme.COLORS.RED.L1,
  borderColorBox: _tablekitTheme.COLORS.GRAY_TRANSLUCENT.L3,
  borderColorBoxInvalid: _tablekitTheme.COLORS.GRAY_TRANSLUCENT.L3,
  fillColorInvalid: function fillColorInvalid(_ref) {
    var theme = _ref.theme;
    return theme.colors.danger;
  },
  textColor: function textColor(_ref2) {
    var theme = _ref2.theme;
    return theme.colors.text;
  },
  textColorDisabled: _tablekitTheme.COLORS.GRAY_TRANSLUCENT.L4,
  textColorInvalid: function textColorInvalid(_ref3) {
    var theme = _ref3.theme;
    return theme.colors.text;
  }
};
exports.checkboxClassicTheme = checkboxClassicTheme;
var checkboxDarkTheme = {
  backgroundColorBox: function backgroundColorBox(_ref4) {
    var theme = _ref4.theme;
    return theme.colors.surface;
  },
  backgroundColorBoxInvalid: function backgroundColorBoxInvalid(_ref5) {
    var theme = _ref5.theme;
    return theme.colors.surfaceHigh;
  },
  backgroundColorInvalid: (0, _tablekitUtils.hexToRgba)(_tablekitTheme.COLORS.RED.L6, 0.3),
  borderColorBox: function borderColorBox(_ref6) {
    var theme = _ref6.theme;
    return theme.colors.border;
  },
  borderColorBoxInvalid: function borderColorBoxInvalid(_ref7) {
    var theme = _ref7.theme;
    return theme.colors.border;
  },
  fillColorInvalid: function fillColorInvalid(_ref8) {
    var theme = _ref8.theme;
    return theme.colors.danger;
  },
  textColor: function textColor(_ref9) {
    var theme = _ref9.theme;
    return theme.colors.text;
  },
  textColorDisabled: function textColorDisabled(_ref10) {
    var theme = _ref10.theme;
    return theme.colors.textSubtle;
  },
  textColorInvalid: function textColorInvalid(_ref11) {
    var theme = _ref11.theme;
    return theme.colors.text;
  }
};
exports.checkboxDarkTheme = checkboxDarkTheme;
