import { PackageNamespace } from '@tablecheck/tablekit-package-namespace';
import { COLORS } from '@tablecheck/tablekit-theme';
import { hexToRgba } from '@tablecheck/tablekit-utils';
var checkboxThemeNamespace = PackageNamespace.Checkbox;
var checkboxClassicTheme = {
  backgroundColorBox: 'white',
  backgroundColorBoxInvalid: 'white',
  backgroundColorInvalid: COLORS.RED.L1,
  borderColorBox: COLORS.GRAY_TRANSLUCENT.L3,
  borderColorBoxInvalid: COLORS.GRAY_TRANSLUCENT.L3,
  fillColorInvalid: function fillColorInvalid(_ref) {
    var theme = _ref.theme;
    return theme.colors.danger;
  },
  textColor: function textColor(_ref2) {
    var theme = _ref2.theme;
    return theme.colors.text;
  },
  textColorDisabled: COLORS.GRAY_TRANSLUCENT.L4,
  textColorInvalid: function textColorInvalid(_ref3) {
    var theme = _ref3.theme;
    return theme.colors.text;
  }
};
var checkboxDarkTheme = {
  backgroundColorBox: function backgroundColorBox(_ref4) {
    var theme = _ref4.theme;
    return theme.colors.surface;
  },
  backgroundColorBoxInvalid: function backgroundColorBoxInvalid(_ref5) {
    var theme = _ref5.theme;
    return theme.colors.surfaceHigh;
  },
  backgroundColorInvalid: hexToRgba(COLORS.RED.L6, 0.3),
  borderColorBox: function borderColorBox(_ref6) {
    var theme = _ref6.theme;
    return theme.colors.border;
  },
  borderColorBoxInvalid: function borderColorBoxInvalid(_ref7) {
    var theme = _ref7.theme;
    return theme.colors.border;
  },
  fillColorInvalid: function fillColorInvalid(_ref8) {
    var theme = _ref8.theme;
    return theme.colors.danger;
  },
  textColor: function textColor(_ref9) {
    var theme = _ref9.theme;
    return theme.colors.text;
  },
  textColorDisabled: function textColorDisabled(_ref10) {
    var theme = _ref10.theme;
    return theme.colors.textSubtle;
  },
  textColorInvalid: function textColorInvalid(_ref11) {
    var theme = _ref11.theme;
    return theme.colors.text;
  }
};
export { checkboxClassicTheme, checkboxDarkTheme, checkboxThemeNamespace };
